package com.bocloud.cmp.model.hmc;

import org.apache.commons.lang3.StringUtils;

/**
 * HMC系统功能
 *
 * @author sxp
 * @since May 22, 2018
 */
@Deprecated
public class HmcSystemCapabilityModel {
    private Long id;
    private Long serverId;
    private String activeMemorySharingCapable;
    private String ibmiCapable;
    private String telnet5250ApplicationCapable;
    private String capacityOnDemandProcessorCapable;
    private String capacityOnDemandMemoryCapable;
    private String onDemandProcessorCapable;
    private String microLogicalPartitionCapable;
    private String virtualIOServerCapable;
    private String hostChannelAdapterCapable;
    private String logicalHostEthernetAdapterCapable;
    private String hugePageMemoryCapable;
    private String barrierSynchronizationRegisterCapable;
    private String serviceProcessorFailoverCapable;
    private String sharedEthernetFailoverCapable;
    private String redundantErrorPathReportingCapable;
    private String hardwareDiscoveryCapable;
    private String activeLogicalPartitionMobilityCapable;
    private String inactiveLogicalPartitionMobilityCapable;
    private String ibmiLogicalPartitionMobilityCapable;
    private String logicalPartitionProcessorCompatibilityModeCapable;
    private String logicalPartitionAvailabilityPriorityCapable;
    private String electronicErrorReportingCapable;
    private String activeLogicalPartitionSharedIdeProcessorsCapable;
    private String firmwarePowerSaverCapable;
    private String hardwarePowerSaverCapable;
    private String virtualSwitchCapable;
    private String virtualFiberChannelCapable;
    private String ibmiLogicalPartitionSuspendCapable;
    private String logicalPartitionRemoteRestartCapable;
    private String virtualTrustedPlatformModuleCapable;
    private String activeSystemOptimizerCapable;
    private String virtualServerNetworkingPhase2Capable;
    private String powerVMLogicalPartitionSimplifiedRemoteRestartCapable;
    private String sharedProcessorPoolCapable;
    private String virtualEthernetCustomMACAddressCapable;

    public HmcSystemCapabilityModel() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public String getActiveMemorySharingCapable() {
        return activeMemorySharingCapable;
    }

    public void setActiveMemorySharingCapable(String activeMemorySharingCapable) {
        this.activeMemorySharingCapable = activeMemorySharingCapable;
    }

    public String getIbmiCapable() {
        return ibmiCapable;
    }

    public void setIbmiCapable(String ibmiCapable) {
        this.ibmiCapable = ibmiCapable;
    }

    public String getTelnet5250ApplicationCapable() {
        return telnet5250ApplicationCapable;
    }

    public void setTelnet5250ApplicationCapable(String telnet5250ApplicationCapable) {
        this.telnet5250ApplicationCapable = telnet5250ApplicationCapable;
    }

    public String getCapacityOnDemandProcessorCapable() {
        return capacityOnDemandProcessorCapable;
    }

    public void setCapacityOnDemandProcessorCapable(String capacityOnDemandProcessorCapable) {
        this.capacityOnDemandProcessorCapable = capacityOnDemandProcessorCapable;
    }

    public String getCapacityOnDemandMemoryCapable() {
        return capacityOnDemandMemoryCapable;
    }

    public void setCapacityOnDemandMemoryCapable(String capacityOnDemandMemoryCapable) {
        this.capacityOnDemandMemoryCapable = capacityOnDemandMemoryCapable;
    }

    public String getOnDemandProcessorCapable() {
        if (StringUtils.isEmpty(onDemandProcessorCapable)) {
            if ("true".equalsIgnoreCase(capacityOnDemandProcessorCapable)
                || "true".equalsIgnoreCase(capacityOnDemandMemoryCapable)) {
                onDemandProcessorCapable = "true";
            } else {
                onDemandProcessorCapable = "false";
            }
        }
        return onDemandProcessorCapable;
    }

    public void setOnDemandProcessorCapable(String onDemandProcessorCapable) {
        this.onDemandProcessorCapable = onDemandProcessorCapable;
    }

    public String getMicroLogicalPartitionCapable() {
        return microLogicalPartitionCapable;
    }

    public void setMicroLogicalPartitionCapable(String microLogicalPartitionCapable) {
        this.microLogicalPartitionCapable = microLogicalPartitionCapable;
    }

    public String getVirtualIOServerCapable() {
        return virtualIOServerCapable;
    }

    public void setVirtualIOServerCapable(String virtualIOServerCapable) {
        this.virtualIOServerCapable = virtualIOServerCapable;
    }

    public String getHostChannelAdapterCapable() {
        return hostChannelAdapterCapable;
    }

    public void setHostChannelAdapterCapable(String hostChannelAdapterCapable) {
        this.hostChannelAdapterCapable = hostChannelAdapterCapable;
    }

    public String getLogicalHostEthernetAdapterCapable() {
        return logicalHostEthernetAdapterCapable;
    }

    public void setLogicalHostEthernetAdapterCapable(String logicalHostEthernetAdapterCapable) {
        this.logicalHostEthernetAdapterCapable = logicalHostEthernetAdapterCapable;
    }

    public String getHugePageMemoryCapable() {
        return hugePageMemoryCapable;
    }

    public void setHugePageMemoryCapable(String hugePageMemoryCapable) {
        this.hugePageMemoryCapable = hugePageMemoryCapable;
    }

    public String getBarrierSynchronizationRegisterCapable() {
        return barrierSynchronizationRegisterCapable;
    }

    public void setBarrierSynchronizationRegisterCapable(String barrierSynchronizationRegisterCapable) {
        this.barrierSynchronizationRegisterCapable = barrierSynchronizationRegisterCapable;
    }

    public String getServiceProcessorFailoverCapable() {
        return serviceProcessorFailoverCapable;
    }

    public void setServiceProcessorFailoverCapable(String serviceProcessorFailoverCapable) {
        this.serviceProcessorFailoverCapable = serviceProcessorFailoverCapable;
    }

    public String getSharedEthernetFailoverCapable() {
        return sharedEthernetFailoverCapable;
    }

    public void setSharedEthernetFailoverCapable(String sharedEthernetFailoverCapable) {
        this.sharedEthernetFailoverCapable = sharedEthernetFailoverCapable;
    }

    public String getRedundantErrorPathReportingCapable() {
        return redundantErrorPathReportingCapable;
    }

    public void setRedundantErrorPathReportingCapable(String redundantErrorPathReportingCapable) {
        this.redundantErrorPathReportingCapable = redundantErrorPathReportingCapable;
    }

    public String getHardwareDiscoveryCapable() {
        return hardwareDiscoveryCapable;
    }

    public void setHardwareDiscoveryCapable(String hardwareDiscoveryCapable) {
        this.hardwareDiscoveryCapable = hardwareDiscoveryCapable;
    }

    public String getActiveLogicalPartitionMobilityCapable() {
        return activeLogicalPartitionMobilityCapable;
    }

    public void setActiveLogicalPartitionMobilityCapable(String activeLogicalPartitionMobilityCapable) {
        this.activeLogicalPartitionMobilityCapable = activeLogicalPartitionMobilityCapable;
    }

    public String getInactiveLogicalPartitionMobilityCapable() {
        return inactiveLogicalPartitionMobilityCapable;
    }

    public void setInactiveLogicalPartitionMobilityCapable(String inactiveLogicalPartitionMobilityCapable) {
        this.inactiveLogicalPartitionMobilityCapable = inactiveLogicalPartitionMobilityCapable;
    }

    public String getIbmiLogicalPartitionMobilityCapable() {
        return ibmiLogicalPartitionMobilityCapable;
    }

    public void setIbmiLogicalPartitionMobilityCapable(String ibmiLogicalPartitionMobilityCapable) {
        this.ibmiLogicalPartitionMobilityCapable = ibmiLogicalPartitionMobilityCapable;
    }

    public String getLogicalPartitionProcessorCompatibilityModeCapable() {
        return logicalPartitionProcessorCompatibilityModeCapable;
    }

    public void setLogicalPartitionProcessorCompatibilityModeCapable(
        String logicalPartitionProcessorCompatibilityModeCapable) {
        this.logicalPartitionProcessorCompatibilityModeCapable = logicalPartitionProcessorCompatibilityModeCapable;
    }

    public String getLogicalPartitionAvailabilityPriorityCapable() {
        return logicalPartitionAvailabilityPriorityCapable;
    }

    public void setLogicalPartitionAvailabilityPriorityCapable(String logicalPartitionAvailabilityPriorityCapable) {
        this.logicalPartitionAvailabilityPriorityCapable = logicalPartitionAvailabilityPriorityCapable;
    }

    public String getElectronicErrorReportingCapable() {
        return electronicErrorReportingCapable;
    }

    public void setElectronicErrorReportingCapable(String electronicErrorReportingCapable) {
        this.electronicErrorReportingCapable = electronicErrorReportingCapable;
    }

    public String getActiveLogicalPartitionSharedIdeProcessorsCapable() {
        return activeLogicalPartitionSharedIdeProcessorsCapable;
    }

    public void setActiveLogicalPartitionSharedIdeProcessorsCapable(
        String activeLogicalPartitionSharedIdeProcessorsCapable) {
        this.activeLogicalPartitionSharedIdeProcessorsCapable = activeLogicalPartitionSharedIdeProcessorsCapable;
    }

    public String getFirmwarePowerSaverCapable() {
        return firmwarePowerSaverCapable;
    }

    public void setFirmwarePowerSaverCapable(String firmwarePowerSaverCapable) {
        this.firmwarePowerSaverCapable = firmwarePowerSaverCapable;
    }

    public String getHardwarePowerSaverCapable() {
        return hardwarePowerSaverCapable;
    }

    public void setHardwarePowerSaverCapable(String hardwarePowerSaverCapable) {
        this.hardwarePowerSaverCapable = hardwarePowerSaverCapable;
    }

    public String getVirtualSwitchCapable() {
        return virtualSwitchCapable;
    }

    public void setVirtualSwitchCapable(String virtualSwitchCapable) {
        this.virtualSwitchCapable = virtualSwitchCapable;
    }

    public String getVirtualFiberChannelCapable() {
        return virtualFiberChannelCapable;
    }

    public void setVirtualFiberChannelCapable(String virtualFiberChannelCapable) {
        this.virtualFiberChannelCapable = virtualFiberChannelCapable;
    }

    public String getIbmiLogicalPartitionSuspendCapable() {
        return ibmiLogicalPartitionSuspendCapable;
    }

    public void setIbmiLogicalPartitionSuspendCapable(String ibmiLogicalPartitionSuspendCapable) {
        this.ibmiLogicalPartitionSuspendCapable = ibmiLogicalPartitionSuspendCapable;
    }

    public String getLogicalPartitionRemoteRestartCapable() {
        return logicalPartitionRemoteRestartCapable;
    }

    public void setLogicalPartitionRemoteRestartCapable(String logicalPartitionRemoteRestartCapable) {
        this.logicalPartitionRemoteRestartCapable = logicalPartitionRemoteRestartCapable;
    }

    public String getVirtualTrustedPlatformModuleCapable() {
        return virtualTrustedPlatformModuleCapable;
    }

    public void setVirtualTrustedPlatformModuleCapable(String virtualTrustedPlatformModuleCapable) {
        this.virtualTrustedPlatformModuleCapable = virtualTrustedPlatformModuleCapable;
    }

    public String getActiveSystemOptimizerCapable() {
        return activeSystemOptimizerCapable;
    }

    public void setActiveSystemOptimizerCapable(String activeSystemOptimizerCapable) {
        this.activeSystemOptimizerCapable = activeSystemOptimizerCapable;
    }

    public String getVirtualServerNetworkingPhase2Capable() {
        return virtualServerNetworkingPhase2Capable;
    }

    public void setVirtualServerNetworkingPhase2Capable(String virtualServerNetworkingPhase2Capable) {
        this.virtualServerNetworkingPhase2Capable = virtualServerNetworkingPhase2Capable;
    }

    public String getPowerVMLogicalPartitionSimplifiedRemoteRestartCapable() {
        return powerVMLogicalPartitionSimplifiedRemoteRestartCapable;
    }

    public void setPowerVMLogicalPartitionSimplifiedRemoteRestartCapable(
        String powerVMLogicalPartitionSimplifiedRemoteRestartCapable) {
        this.powerVMLogicalPartitionSimplifiedRemoteRestartCapable = powerVMLogicalPartitionSimplifiedRemoteRestartCapable;
    }

    public String getSharedProcessorPoolCapable() {
        return sharedProcessorPoolCapable;
    }

    public void setSharedProcessorPoolCapable(String sharedProcessorPoolCapable) {
        this.sharedProcessorPoolCapable = sharedProcessorPoolCapable;
    }

    public String getVirtualEthernetCustomMACAddressCapable() {
        return virtualEthernetCustomMACAddressCapable;
    }

    public void setVirtualEthernetCustomMACAddressCapable(String virtualEthernetCustomMACAddressCapable) {
        this.virtualEthernetCustomMACAddressCapable = virtualEthernetCustomMACAddressCapable;
    }
}
